> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# skipPayPeriod

> The `skipPayPeriod` API is used to skip a pay period 

### When to use:
- If payroll for a payperiod is handled outside of the rollfi system
- When a payPeriod is no longer required, such as during a furlough period

### Notes:
- payPeriodStatus becomes `Skipped` after using this API
- This is a finalized state. To recreate a skipped payroll, use a supplemental payPeriod



## OpenAPI

````yaml post /payroll/skipPayPeriod
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /payroll/skipPayPeriod:
    post:
      tags: []
      summary: skipPayPeriod
      description: >-
        The `skipPayPeriod` API is used to skip a pay period 


        ### When to use:

        - If payroll for a payperiod is handled outside of the rollfi system

        - When a payPeriod is no longer required, such as during a furlough
        period


        ### Notes:

        - payPeriodStatus becomes `Skipped` after using this API

        - This is a finalized state. To recreate a skipped payroll, use a
        supplemental payPeriod
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
              required:
                - method
                - companyId
                - payPeriodId
            example:
              method: skipPayPeriod
              companyId: C8D57032-BF6F-4510-AA41-08A358365531
              payPeriodId: 81A0AE81-F817-4012-B058-46B2C0B9B72C
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  skipPayPeriod:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - skipPayPeriod
              examples:
                '1':
                  summary: Success
                  value:
                    skipPayPeriod:
                      status: Skipped
                      message: PayPeriod skipped Successfully
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: invalid payPeriodId
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                required:
                  - error
              example:
                error:
                  code: 400
                  message: invalid payPeriodId
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````